import request from '@/utils/request'

// 根据条件查发票结算申请单
export function searchTable1(...group) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间采购管理_发票结算申请单_查询数据',
      param: `时间段_check=${group[0]}&开始日期=${group[1]}&结束日期=${group[2]}&是否提交=1`,
      Pagination: group[3] + '&' + group[4]
    }
  })
}
// 发票结算申请单明细列表
export function searchTable2(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间采购管理_发票结算申请单明细_查询数据',
      param: `发票结算申请单流水号=${num}`
    }
  })
}
// 执行审批
export function excuteApprove(...data) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间采购管理_发票结算申请单_执行审批',
      param: `发票结算申请单流水号=${data[0]}&人员编号=${data[1]}&审批代号=${data[2]}`
    }
  })
}
